
CoCoA-5 - Design #449

Emacs UI: names of emacs fns

21 Feb 2014 12:53 - John Abbott

Status: Closed Start date: 21 Feb 2014

Priority: Low Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Renaming Estimated time: 0.50 hour

Target version: CoCoA-5.0.9 Spent time: 0.50 hour

Description

Most emacs variables dealing with the CoCoA5 emacs interface are called cocoa5-* but a few do not begin with cocoa5 (e.g.

electric-cocoa5-*).

Why are they named this way?  Are there any objections to renaming them to cocoa5-electric-*?  A quick search showed that similar

fns for C mode are called c-electric-*

History

#1 - 03 Mar 2014 19:00 - Anna Maria Bigatti

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 90

I renamed all functions so they start with cocoa5-

I'll leave this in feedback just to make sure no mismatch comes up.

#2 - 21 Mar 2014 09:55 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

trivial issue, all done.  Closing.

#3 - 02 Apr 2014 18:36 - Anna Maria Bigatti

- Estimated time set to 0.50 h
